Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1526208 - Review Request: ghc-criterion - Robust, reliable performance measurement and analysis
Summary: Review Request: ghc-criterion - Robust, reliable performance measurement and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1514678 1514679 1514680 1515525 1520204
Blocks: 1526675
TreeView+ depends on / blocked
 
Reported: 2017-12-15 00:47 UTC by Elliott Sales de Andrade
Modified: 2018-01-02 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:24:44 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-12-15 00:47:32 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-criterion.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-criterion-1.2.6.0-1.fc26.src.rpm

Description:
This library provides a powerful but simple way to measure software
performance. It provides both a framework for executing and analysing
benchmarks and a set of driver functions that makes it easy to build and run
benchmarks, and to analyse their results.

The fastest way to get started is to read the
<http://www.serpentine.com/criterion/tutorial.html online tutorial>, followed
by the documentation and examples in the "Criterion.Main" module.

For examples of the kinds of reports that criterion generates, see
<http://www.serpentine.com/criterion the home page>.

Comment 1 Elliott Sales de Andrade 2017-12-15 00:47:42 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=23691382

Comment 2 Robert-André Mauchin 🐧 2017-12-15 22:42:40 UTC
 - License ok
 - Builds in mock
 - No rpmlint error

 Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1382400 bytes in 68 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Comment 4 Robert-André Mauchin 🐧 2017-12-16 00:10:35 UTC
Package approved.

Comment 5 Gwyn Ciesla 2017-12-16 00:27:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-criterion

Comment 6 Fedora Update System 2017-12-18 20:54:38 UTC
ghc-criterion-1.2.6.0-2.fc27 ghc-statistics-0.14.0.2-2.fc27 ghc-foldl-1.3.4-1.fc27 ghc-vector-th-unbox-0.2.1.6-1.fc27 ghc-text-short-0.1.1-1.fc27 ghc-optional-args-1.0.1-1.fc27 ghc-microstache-1.0.1.1-1.fc27 ghc-managed-1.0.5-1.fc27 ghc-hostname-1.0-1.fc27 ghc-erf-2.0.0.0-1.fc27 ghc-code-page-0.1.3-1.fc27 ghc-base-prelude-1.2.0.1-1.fc27 ghc-abstract-par-0.3.3-1.fc27 ghc-abstract-deque-0.3-1.fc27 ghc-Only-0.1-1.fc27 ghc-Glob-0.9.1-1.fc27 ghc-vector-builder-0.3.4.1-1.fc27 ghc-monad-par-extras-0.3.3-1.fc27 ghc-math-functions-0.2.1.0-1.fc27 ghc-cassava-0.5.1.0-1.fc27 ghc-monad-par-0.3.4.8-1.fc27 ghc-turtle-1.4.5-1.fc27 bench-1.0.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 7 Fedora Update System 2017-12-18 20:59:12 UTC
ghc-vector-th-unbox-0.2.1.6-1.fc26 ghc-vector-builder-0.3.4.1-1.fc26 ghc-turtle-1.4.5-1.fc26 ghc-text-short-0.1.1-1.fc26 ghc-statistics-0.14.0.2-2.fc26 ghc-optional-args-1.0.1-1.fc26 ghc-Only-0.1-1.fc26 ghc-monad-par-extras-0.3.3-1.fc26 ghc-monad-par-0.3.4.8-1.fc26 ghc-microstache-1.0.1.1-1.fc26 ghc-math-functions-0.2.1.0-1.fc26 ghc-managed-1.0.5-1.fc26 ghc-hostname-1.0-1.fc26 ghc-Glob-0.9.1-1.fc26 ghc-foldl-1.3.4-1.fc26 ghc-erf-2.0.0.0-1.fc26 ghc-criterion-1.2.6.0-2.fc26 ghc-code-page-0.1.3-1.fc26 ghc-cassava-0.5.1.0-1.fc26 ghc-base-prelude-1.2.0.1-1.fc26 ghc-abstract-par-0.3.3-1.fc26 ghc-abstract-deque-0.3-1.fc26 bench-1.0.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 8 Fedora Update System 2017-12-19 22:47:46 UTC
bench-1.0.7-1.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.4.5-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 9 Fedora Update System 2017-12-19 23:00:20 UTC
bench-1.0.7-2.fc27 ghc-Glob-0.9.1-1.fc27 ghc-Only-0.1-1.fc27 ghc-abstract-deque-0.3-1.fc27 ghc-abstract-par-0.3.3-1.fc27 ghc-base-prelude-1.2.0.1-1.fc27 ghc-cassava-0.5.1.0-1.fc27 ghc-code-page-0.1.3-1.fc27 ghc-criterion-1.2.6.0-2.fc27 ghc-erf-2.0.0.0-1.fc27 ghc-foldl-1.3.4-1.fc27 ghc-hostname-1.0-1.fc27 ghc-managed-1.0.5-1.fc27 ghc-math-functions-0.2.1.0-1.fc27 ghc-microstache-1.0.1.1-1.fc27 ghc-monad-par-0.3.4.8-1.fc27 ghc-monad-par-extras-0.3.3-1.fc27 ghc-optional-args-1.0.1-1.fc27 ghc-statistics-0.14.0.2-2.fc27 ghc-text-short-0.1.1-1.fc27 ghc-turtle-1.5.0-1.fc27 ghc-vector-builder-0.3.4.1-1.fc27 ghc-vector-th-unbox-0.2.1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 10 Fedora Update System 2017-12-19 23:43:24 UTC
bench-1.0.7-1.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.4.5-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 11 Fedora Update System 2017-12-19 23:50:31 UTC
bench-1.0.7-2.fc26 ghc-Glob-0.9.1-1.fc26 ghc-Only-0.1-1.fc26 ghc-abstract-deque-0.3-1.fc26 ghc-abstract-par-0.3.3-1.fc26 ghc-base-prelude-1.2.0.1-1.fc26 ghc-cassava-0.5.1.0-1.fc26 ghc-code-page-0.1.3-1.fc26 ghc-criterion-1.2.6.0-2.fc26 ghc-erf-2.0.0.0-1.fc26 ghc-foldl-1.3.4-1.fc26 ghc-hostname-1.0-1.fc26 ghc-managed-1.0.5-1.fc26 ghc-math-functions-0.2.1.0-1.fc26 ghc-microstache-1.0.1.1-1.fc26 ghc-monad-par-0.3.4.8-1.fc26 ghc-monad-par-extras-0.3.3-1.fc26 ghc-optional-args-1.0.1-1.fc26 ghc-statistics-0.14.0.2-2.fc26 ghc-text-short-0.1.1-1.fc26 ghc-turtle-1.5.0-1.fc26 ghc-vector-builder-0.3.4.1-1.fc26 ghc-vector-th-unbox-0.2.1.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 12 Fedora Update System 2017-12-21 20:23:31 UTC
bench-1.0.7-2.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.5.0-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 13 Fedora Update System 2017-12-21 21:10:06 UTC
bench-1.0.7-2.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.5.0-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 14 Fedora Update System 2018-01-02 16:24:44 UTC
bench-1.0.7-2.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.5.0-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-01-02 16:50:58 UTC
bench-1.0.7-2.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.5.0-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.